import type { IGetFinancialEntitiesByIdsResult } from '../../financial-entities/types.js';
import type { IGetLedgerRecordsByDatesResult } from '../../ledger/types.js';
export type LedgerRecordDecorations = Partial<{
    credit_entity_sort_code1: number;
    credit_entity_sort_code2: number;
    debit_entity_sort_code1: number;
    debit_entity_sort_code2: number;
}>;
export type DecoratedLedgerRecord = IGetLedgerRecordsByDatesResult & LedgerRecordDecorations;
export declare function decorateLedgerRecords(ledgerRecords: IGetLedgerRecordsByDatesResult[], financialEntitiesDict: Map<string, IGetFinancialEntitiesByIdsResult>): DecoratedLedgerRecord[];
export declare function getProfitLossReportAmounts(decoratedLedgerRecords: DecoratedLedgerRecord[]): {
    revenue: import("../types.js").CommentaryProto;
    costOfSales: import("../types.js").CommentaryProto;
    grossProfitAmount: number;
    researchAndDevelopmentExpenses: import("../types.js").CommentaryProto;
    marketingExpenses: import("../types.js").CommentaryProto;
    managementAndGeneralExpenses: import("../types.js").CommentaryProto;
    operatingProfitAmount: number;
    financialExpenses: import("../types.js").CommentaryProto;
    otherIncome: import("../types.js").CommentaryProto;
    profitBeforeTax: {
        amount: number;
        records: import("../types.js").CommentaryRecordProto[];
    };
};
